# <a id="bitdrift.public.unary.timeline.v1.GetSessionLogsResponse"></a>GetSessionLogsResponse

**Source definition:** [`src/bitdrift/public/unary/timeline/v1/logs.proto#L108-L114`](<https://github.com/bitdriftlabs/api/blob/main/src/bitdrift/public/unary/timeline/v1/logs.proto#L108-L114>)

<section class="proto-fields-table" markdown>
| Field | Type | Description |
|---|---|---|
| total_pages | <span class="proto-type proto-type-primitive">uint64</span> | The total number of pages available for the query. This is used for pagination purposes to indicate how many pages of results are available based on the total number of logs and the number of logs per page specified in the request. |
| logs | <span class="proto-type proto-type-message">array of [<i class="proto-type-part">bitdrift</i><i class="proto-type-dot">.</i><i class="proto-type-part">public</i><i class="proto-type-dot">.</i><i class="proto-type-part">unary</i><i class="proto-type-dot">.</i><i class="proto-type-part">timeline</i><i class="proto-type-dot">.</i><i class="proto-type-part">v1</i><i class="proto-type-dot">.</i><i class="proto-type-part">Log</i>](bitdrift_public_unary_timeline_v1_Log.md "bitdrift.public.unary.timeline.v1.Log")</span> | The list of logs for the session based on the query parameters specified in the request. |

</section>
<p class="h4">Example</p>
```json
{
  "logs": [
    {
      "fields": {
        "fields": {
          "key": {
            "string_data": ""
          }
        }
      },
      "listener_ids": [
        "abc-123-def"
      ],
      "log_level": "DEBUG",
      "log_type": "REPLAY",
      "message": "Example text",
      "timestamp": "2024-01-15T09:30:00Z"
    }
  ],
  "total_pages": 3
}
```

